So I'm trying to install SNAPSHOT but I get an simple ERROR

So I'm trying to install SNAPSHOT but I get an simple ERROR message with no explanation. I need a 100% reliable backup plugin and have been having a hard time getting this going.

Please help.